package com.kingdee.eas.custom.sendmessage.handler;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.sendmessage.utils.SendMessageUtil;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.empCertification.web.handler.EmpCertificationBillHRListHandler;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author qingwu
 * @date 2024/11/19
 * @apiNote
 * Աְ֤б
 */
public class EmpCertificationBillHRListHandlerEx extends EmpCertificationBillHRListHandler {
    Context ctx = SHRContext.getInstance().getContext();

    /**
     * Ϣ
     *
     * @param request
     * @param response
     * @param modelMap
     * @throws SHRWebException
     */
    public void sendMessageAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws SHRWebException, BOSException, EASBizException {
        String billId = this.getBillId(request);
        SendMessageUtil sendMessageUtil = new SendMessageUtil();
        sendMessageUtil.sendMessage(ctx, billId);
    }
}
